import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;

public class Posizione {
    private int TifoInveimento;
    private Giocatore giocatoreTessera;
    private Deque <Cavallo> cavalli = new ArrayDeque<>();

    public Posizione(){
        this.TifoInveimento = 0;
    }

    public int getTifoInveimento() {
        return TifoInveimento;
    }
    public Giocatore getGiocatoreTessera() {
        return giocatoreTessera;
    }

    public void setTifoInveimento(int TifoInveimento) {
        this.TifoInveimento = TifoInveimento;
    }
    public void setGiocatoreTessera(Giocatore giocatoreTessera) {
        this.giocatoreTessera = giocatoreTessera;
    }

    public String toString(){
        String stringa="*";

        if(TifoInveimento == 1){
            stringa += "tifo";
        }
        else{
            if(TifoInveimento == -1){
                stringa += "inveimento";
            }
        }

        /*if(cavalli.size() > 0){
            for(int i = 0; i < cavalli.size(); i++){
                stringa += cavalli.getFirst().getNome() + " ---> ";
                cavalli.add(cavalli.getFirst());
                cavalli.removeFirst();
            }
        }*/
        ArrayList <Cavallo> cavalliArray = new ArrayList<>(cavalli);
        for(int i = 0; i < cavalliArray.size(); i ++){
            stringa += cavalliArray.get(i).getNome() + " ---> ";
        }

        

        return stringa;
    }

    public void aggiungiCavallo(Cavallo cavallo){
            cavalli.addLast(cavallo);
    }

    public Deque getCavalli(){
        return cavalli;
    }

    
}
