import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;

public class Pila {
    private Deque <Carta> vincitori = new ArrayDeque<>();
    private Deque <Carta> perdenti = new ArrayDeque<>();

    public void aggiungiVincitori(Carta carta){
        vincitori.addLast(carta);
    }
    public void aggiungiPerdenti(Carta carta){
        perdenti.addLast(carta);
    }

    public int vincitoriSize(){
        return vincitori.size();
    }

    public int perdentiSize(){
        return perdenti.size();
    }

    public Carta getCartaVincitore(int i){
        ArrayList <Carta> vincitoriArray = new ArrayList<>(vincitori);
        return vincitoriArray.get(i);
    }

    public Carta getCartaPerdente(int i){
        ArrayList <Carta> perdentiArray = new ArrayList<>(perdenti);
        return perdentiArray.get(i);
    }
}
